class_name Game
extends Node2D

@export var first_level : PackedScene

signal player_failure
signal player_success
signal game_paused


func new_game() -> void:
	add_child(first_level.instantiate())

func reset_game() -> void:
	get_tree().reload_current_scene()
